import { DomGeometryBox, DomGeometryXYBox } from "./dom-geometry";

/**
 * Returns the dimensions and scroll position of the viewable area of a browser window
 */
export declare function getBox(doc?: Document): DomGeometryBox;

/**
 * Get window object associated with document doc.
 */
export declare function get(doc?: Document): Window;

/**
 * Scroll the passed node into view using minimal movement, if it is not already.
 */
export declare function scrollIntoView(node: Element, pos?: DomGeometryXYBox): void;
